:root {
      /* Text Colors */
      --color-text: #343432;           /* Primary text (pure black) */

      /* Background Colors */
      --color-background: #faf9f5;      /* Main background (white) */

      /* Link Colors */
      --color-link: #d67554;           /* Link color */
      --color-link-hover: #d67554;     /* Link hover color */

      /* Accent Color */
      --color-accent: #d67554;         /* Focus outlines, highlights */
}

@media (prefers-color-scheme: dark) {
    :root {
        /* Text Colors */
        --color-text: #cdcdcb;           /* Primary text (light gray) */

        /* Background Colors */
        --color-background: #343432;     /* Main background (dark) */

        /* Link Colors */
        --color-link: #be5937;           /* Link color */
        --color-link-hover: #be5937;     /* Link hover color */

        /* Accent Color */
        --color-accent: #be5937;         /* Focus outlines, highlights */
    }
}